import 'package:flutter/material.dart';
// import 'package:sentry_flutter/sentry_flutter.dart';
import 'package:sk_base_mobile/global.dart';
import 'package:sk_base_mobile/index.dart';
import 'package:sk_base_mobile/util/logger_util.dart';

Future<void> main() async {
  try {
    await Global.init();
  } catch (e) {
    LoggerUtil().error('Init failed, please try again. $e');
  }
  // await SentryFlutter.init(
  //   (options) {
  //     options.environment = isProduction ? 'production' : 'development';
  //     // options.beforeSend = (event, {hint}) {
  //     // if (!isProduction) {
  //     //   return null;
  //     // }
  //     //   return event;
  //     // };
  //     options.dsn =
  //         'https://ce4f75d3cd9120a1bd9f1a807e573de1@o1078619.ingest.us.sentry.io/4506981258952704';
  //     // Set tracesSampleRate to 1.0 to capture 100% of transactions for performance monitoring.
  //     // We recommend adjusting this value in production.
  //     options.tracesSampleRate = 1.0;
  //   },
  //   appRunner: () => runApp(const IndexPage()),
  // );
  return runApp(const IndexPage());
}
